Page MenuHomePhabricator

Special:Categories shows unused categories
Closed, ResolvedPublic

Description

Special:Categories shows unused categories as a result of the fix for this bug. However, now the system message MediaWiki:Categoriespagetext should be updated to indicate it does show unused categories.

Further, the special page shows red-linked (non-existent) categories with no members. There should hopefully be some means by which accidentally-created categories eventually fall off this list.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Pcj created this task.Jan 17 2018, 3:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 17 2018, 3:07 AM
Pcj updated the task description. (Show Details)Jan 17 2018, 3:27 AM
Pcj triaged this task as Normal priority.Feb 19 2018, 4:17 PM
Aklapper raised the priority of this task from Normal to Needs Triage.Feb 19 2018, 4:17 PM

Hi @Pcj, thanks for taking the time to report this!
Resetting priority.

Change 414022 had a related patch set uploaded (by GeoffreyT2000; owner: GeoffreyT2000):
[mediawiki/core@master] Update categoriespagetext message

https://gerrit.wikimedia.org/r/414022

GeoffreyT2000 triaged this task as Normal priority.Feb 24 2018, 4:13 AM
GeoffreyT2000 added a subscriber: GeoffreyT2000.

Yes, the message is currently misleading. The patch has now been uploaded.

Change 414022 merged by jenkins-bot:
[mediawiki/core@master] Update categoriespagetext message

https://gerrit.wikimedia.org/r/414022

matej_suchanek closed this task as Resolved.Aug 1 2018, 10:04 AM
matej_suchanek assigned this task to GeoffreyT2000.
matej_suchanek removed a project: Patch-For-Review.